### Function

# Fwupd JsonNode new_array

since: 2.1.1

#### Declaration [src]

    FwupdJsonNode*
    fwupd_json_node_new_array (
      FwupdJsonArray* json_arr
    )

#### Description [src]

Creates a new JSON object json_node.

Available since: 2.1.1

This function is not directly available to language bindings.

#### Parameters

`json_arr`

  Type: `FwupdJsonArray`

  A `FwupdJsonArray`.

  The data is owned by the caller of the function.

#### Return value

Type: `FwupdJsonNode`

A `FwupdJsonNode`.

The caller of the function takes ownership of the data, and is responsible for freeing it.